package lcsb.mapviewer.model.map.species.field;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class AntisenseRnaRegionTypeTest {

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testEnum() {
		try {
			for (AntisenseRnaRegionType type : AntisenseRnaRegionType.values()) {
				assertNotNull(type);

				// for coverage tests
				AntisenseRnaRegionType.valueOf(type.name());
				assertNotNull(type.getName());

			}
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}

	@Test
	public void testEnumGetTypeByString() {
		try {
			assertNotNull(AntisenseRnaRegionType.getTypeByString("proteinBindingDomain"));
			assertNull(AntisenseRnaRegionType.getTypeByString("antisenseRnaDomainzz"));
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}


}
